#newsDetailBody {
    font-family: PingFang TC;
}

#navContainer {
    background-color: rgba(0, 0, 0, 0);
}

#headerContainer {
    height: 483px;
    background-image:url("../picture/bg-5.png");
    background-position:center center;
    background-repeat:no-repeat;
    background-size:cover;
    position: relative;
    margin-bottom: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#headerTContainer {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}

#headerTContainer #titleTxt {
    font-weight: 500;
    font-size: 48px;
    color: #FFFFFF;
    line-height: 67px;
    letter-spacing: 3px;
    padding-bottom: 46px;
}

#headerTContainer #descTxt {
    font-weight: 400;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 36px;
    width: 86%;
    text-align: center;
    text-transform: uppercase;
}

#detailsWrapper {
    width: 90%;
    max-width:1200px;
}

#detailsWrapper .title-wrapper {
    justify-content: space-between;
    padding-top: 87px;
}

#detailsWrapper .sec-blue-title {
    padding-top: 20px;
}

#detailsWrapper .btns .btn{
    color: #333333;
    font-weight: 400;
    font-size: 20px;
    padding: 14px 15px;
    border-radius: 5px;
    border: 1px solid #333333;
    margin-right: 23px;
    cursor: pointer;
}

#detailsWrapper .btns .btn:last-child {
    margin-right: 0px;
}

#detailsWrapper .btns .btn:hover,
#detailsWrapper .btns .btn.active {
    color: #ffffff;
    border: 1px solid var(--bg-color);
    background-color: var(--bg-color);
}

#detailsWrapper .search-wrapper {
    padding-top: 40px;
}

#search-input {
    width: 416px;
    height: 50px;
    border-radius: 5px 0px 0px 5px;
    border: 1px solid #333333;
    font-weight: 400;
    font-size: 14px;
    color: #777777;
    padding-left: 12px;
}

#detailsWrapper .search-btn {
    background: #333333;
    border-radius: 0px 5px 5px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#search-icon {
    width: 24px;
    height: 24px;
    padding: 13px 29px;
}

#detailsWrapper .list {
   padding-bottom: 50px;

}

#detailsWrapper .list .item {
    padding: 80px 0px 20px 0px;
    border-bottom: 1px solid #f7f7f7;
    justify-content: space-between;
    cursor: pointer;
}

#detailsWrapper .list .item .left-wrapper {
    width: 10%;
    padding-right: 27px;
}

#detailsWrapper .list .item .left-wrapper .date{
    min-width: 62px;
    font-weight: 400;
    font-size: 22px;
    color: #777777;
    line-height: 30px;
    padding-bottom: 4px;
}

#detailsWrapper .list .item .left-wrapper .year{
    font-weight: 400;
    font-size: 14px;
    color: #CCCCCC;
    line-height: 20px;
    border-radius: 2px;
    border: 1px solid #CCCCCC;
    padding: 0px 5px;
    width: fit-content;
}

#detailsWrapper .list .item .mid-wrapper {
    flex: 1;
    position: relative;
}

#detailsWrapper .list .item .mid-wrapper .divider {
    width: 36px;
    height: 12px;
    border-bottom: 1px solid #CCCCCC;
}

#detailsWrapper .list .item .mid-wrapper .details {
    padding-left: 32px;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
}

#detailsWrapper .list .item .mid-wrapper .details .btn-div {
    display: flex;
    justify-content: end;
}

#detailsWrapper .list .item .mid-wrapper .details .btn-div .more-btn {
    color: var(--main-color);
    font-size: 14px;
}

#detailsWrapper .list .item:hover .mid-wrapper .details .btn-div .more-btn  {
    animation: shake-vertical 0.5s ease;
}

#detailsWrapper .list .item .mid-wrapper .details .title {
    font-weight: 500;
    font-size: 18px;
    color: #333333;
    line-height: 25px;
    padding-bottom: 24px;
}

#detailsWrapper .list .item:hover .mid-wrapper .details .title {
    color: var(--main-color);
}

#detailsWrapper .list .item .mid-wrapper .details .detail {
    font-weight: 400;
    font-size: 14px;
    color: #666666;
    line-height: 21px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

#detailsWrapper .list .item .right-wrapper {
    margin-left: 49px;
    border-radius: 5px;
    overflow: hidden;
}

#detailsWrapper .list .item .right-wrapper img {
    width: 100%;
    height: 152px;
    border-radius: 5px;
    overflow: hidden;
    transition: transform 0.5s ease; /* 平滑过渡效果 */
}

#detailsWrapper .list .item:hover img {
    transform: scale(1.2);
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    padding-bottom: 100px;
}

.pagination button {
    border: none;
    background-color: #f5f5f5;
    color: #333;
    padding: 6px 12px;
    font-size: 14px;
    cursor: pointer;
    border-radius: 4px;
    margin-right: 8px;
}

.pagination button:hover {
    background-color: #e9ecef;
}

.pagination button.active {
    background-color: var(--main-color);
    color: #fff;
}
